=== libs/libFN/CMakeLists.txt ===
# IF( NOT MSVC )
#   PROJECT( XP Fortran )
# ENDIF( NOT MSVC )

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} )
INCLUDE_DIRECTORIES(levmar-2.3)

IF( MSVC )
  SET(LIBM_FILES 
	 mathfunc.cpp
	 mathfunc2.cpp
	 mathfunc3.cpp
	 mathfunc4.cpp
  )
ENDIF( MSVC )

ADD_LIBRARY( FN
FNFun.cpp 
Interp1D.cpp 
LoadFN.cpp 
OptFun.cpp 
${LIBM_FILES}
)

ADD_SUBDIRECTORY(levmar-2.3)

#SET_SOURCE_FILES_PROPERTIES( ${F_FILES} PROPERTIES HEADER_FILE_ONLY TRUE )
SET_TARGET_PROPERTIES( FN PROPERTIES LINKER_LANGUAGE CXX )
WRITE_OUT_ALL_VARIABLES()
