=== libs/libMex/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} )

ADD_LIBRARY( Mex
MexInterface.cpp 
mxArray.cpp
)
