=== dependencies/llvm-2.5/lib/Makefile ===
##===- lib/Makefile ----------------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##
LEVEL = ..

PARALLEL_DIRS = VMCore AsmParser Bitcode Archive Analysis Transforms CodeGen \
                Target ExecutionEngine Debugger Linker

include $(LEVEL)/Makefile.common
