=== debian/changelog ===
freemat (4.0-5build1) trusty; urgency=medium

  * No-change rebuild for suitesparse transition.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 20 Dec 2013 21:56:31 -0500

freemat (4.0-5) unstable; urgency=critical

  * [960f60c] Fix installing a binaries during arch-build. (Closes: #671059)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 01 May 2012 22:55:00 +0200

freemat (4.0-4) unstable; urgency=low

  * [f13aab7] Fix typo in the .desktop file (Closes: #620152). 
              Thanks: Andrea Carpineti <carpineti.dev@gmail.com>
  * [67a26ec] [8492f95] Simplify debian/rules.
  * [3357d89] Use compat-level 9.
  * [c4d59b1] Use Standards-Version: 3.9.3. No changes.
  * [ede0939] Use DEP-5 for copyright file.
  * [a1ed7bf] Fix FTBFS against Qt 4.8. (Closes: #662708)
  * [285ed97] Add myself to uploaders.
  * [afad98d] Enable DM-Upload-Allowed flag.
  * [7e76544] Regenerate pdf during build.

  [ Sylvestre Ledru ]
  * Team upload (no upload for the last two years)

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 19 Apr 2012 21:06:00 +0200

freemat (4.0-3) unstable; urgency=low

  * [8eea3c8] Added ${misc:Depends} in Depends
  * [5d89a81] Switch to dpkg-source 3.0 (quilt) format
  * [387779e] Remove *.moc.cpp files on clean, they don't work with
    current Qt and cause FTBFS. (Closes: #572821, #581280) - thanks to
    Ilya Barygin
  * [baaac84] Fix ftbfs with gcc-4.5 (Closes: #564988)
  * [7e3aab3] Bump Standards-Version, no changes needed

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 04 Jun 2010 14:05:41 +0200

freemat (4.0-2) unstable; urgency=low

  * [abc05c0] Maintain freemat with the Debian Science team
  * [c41f178] Forced disable of llvm (Closes: #554618),
    force to use system lib (PCRE,UMFPACK,PORTAUDIO,ZLIB,AMD)
  * [4b908af] Add libvolpack1-dev in Build-depends

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 09 Dec 2009 16:40:09 +0100

freemat (4.0-1) unstable; urgency=low

  * [0e4c370] Updated watch file
  * [546bcbb] Imported Upstream version 4.0
  * [224721e] Updated my email address and removed DM-Upload-Allowed
    control field
  * [4d1e047] Updated to Standards-Version 3.8.3 (no changes needed)
  * [b3f2cac] Removed old patches no more needed
  * [fb6e2c0] Added cmake and llvm-dev in Build-Depends
  * [02aa598] Adjust debian/rules to use cmake
  * [f8c94c7] Rename FreeMat.conf to FreeMat v4.0.conf
  * [3dc2f7b] Move /etc/xdg/FreeMat/FreeMat.conf in
    /etc/xdg/FreeMat/FreeMat v4.0.conf without triggering a dpkg
    question

 -- Giuseppe Iuculano <iuculano@debian.org>  Thu, 15 Oct 2009 21:07:05 +0200

freemat (3.6+dfsg-8) unstable; urgency=low

  * [da4aa11] debian/patches/11_svn_fixes.patch: Backport some fixes
    from svn:
    + Fixed zooming in figures with axis image attribute set.
    + [f4dbd34] Don't change axis directions.
    + [479845b] removed trailing spaces when copy and paste from Command
      Window
  * [25184bb] debian/control: freemat package now depends on freemat-data
    (= ${source:Version})
  * [6e1ad18] Bump to debhelper 7 compatibility levels
  * [7bbb9f2] debian/rules: Use dh_prep instead of dh_clean -k
  * [6bbf295] debian/control: Updated VCS control field

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 03 Mar 2009 21:18:45 +0100

freemat (3.6+dfsg-7) unstable; urgency=low

  * [9d84234] debian/control: libarpack2-dev is missing in alpha, so
    build-depending on "libarpack2-dev [!alpha]"
  * [7c42d28] debian/copyright: use © symbol and fix new lintian warning

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 09 Jan 2009 14:04:44 +0100

freemat (3.6+dfsg-6) unstable; urgency=low

  * [1666c43] debian/patches/06_fix_ftbfs_on_alpha.dpatch: Apply this
    patch to all archs
  * [f845eaa] Switch to quilt
  * [b7536af] debian/README.source: Updated with quilt info
  * [fb36291] debian/patches/09_warning.patch: ask in the warning if
    freemat-help was installed (Closes: #510115)
  * [fdd126d] debian/rules: rebuild main.pdf from source 
    (Closes: #495747)
  * [2d9689e] debian/patches/10_pdf.patch: escape "_" and fix pdf build
    failure
  * [559ad18] debian/control: Added texlive in Build-Depends

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 29 Dec 2008 23:34:55 +0100

freemat (3.6+dfsg-5) unstable; urgency=low

  * debian/control: Added Vcs-Git and Vcs-Browser control field
  * debian/control: libarpack2-dev is back, added again in Build-depends
  * debian/README.source: document dpatch usage, as required by Debian
    Policy since 3.8.0

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Thu, 04 Dec 2008 00:22:03 +0100

freemat (3.6+dfsg-4) unstable; urgency=low

  * debian/patches/06_fix_ftbfs_on_alpha.dpatch: Attempt to fix FTBFS on alpha
  * debian/control: Set DM-Upload-Allowed: yes control field
  * debian/patches/07_fix_FTBFS_with_GCC_4.4.dpatch: Fix FTBFS with GCC 4.4
    (Closes: #505135)
  * debian/patches/08_fix_editor_freeze.dpatch: Fix freeze on editor closing,
    thanks to Chuong Nguyen (LP: #295093)
  * debian/FreeMat.conf: install a simple conf file to avoid the initial
    freemat -i command
  * debian/README.Debian: Removed.

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 29 Nov 2008 11:36:25 +0100

freemat (3.6+dfsg-3) unstable; urgency=high

  * Removed libarpack2-dev from Build-Depends due to license issue, this
    disable Eigenvalues for Sparse Matrices functions. (Closes: #497723) 

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 03 Sep 2008 23:37:08 +0200

freemat (3.6+dfsg-2) unstable; urgency=low

  * debian/freemat.1:
    + Fix defualt freemat data path
    + Typo, remove a .TP before AUTHOR section.
  * Added a README.Debian to explain freemat -i /usr/share/freemat command
  * debian/patches/05_nostrip.dpatch: do not strip binaries 
  * Added debian/freemat.desktop, and added dh_desktop in debian/rules
  * debian/copyright: Fixed some debian-copyright-line-too-long lintian
    warning
  * debian/control: move freemat-data from Recommends to Depends, freemat
    really needs it


