=== debian/watch ===
version=3

opts="filenamemangle=s/FreeMat/freemat/,dversionmangle=s/.dfsg//,uversionmangle=s/.Source//" \
http://sf.net/freemat/FreeMat-(.*)\.tar\.gz
